<div class="col-12">
  <div class="row">

    <div class="col-lg-4 col-md-6 col-sm-6 p-0">
      <input type='text' name="search" [(ngModel)]="search" (keyup)='updateFilter()' class="form-control form-control-sm mb-0"
        placeholder='Seach here' />
    </div>
    <div class="col-lg-8 col-md-6 pr-0">
      <div class="float-right mb-4">
        <div class="btn-group">
          <button [routerLink]="['add']" class="btn mr-1 bk-clr-three btn-sm btn-flat">
            <span class="fa fa-plus"></span>
            Add
          </button>
          <button (click)="export()" type="button" class="btn mr-1 bk-clr-three btn-sm btn-flat">
            <span class="fa fa-file-excel-o"></span>
            Download as excel
          </button>

          <button (click)="fileInput.click()" type="button" class="btn bk-clr-three btn-sm btn-flat">
            <span class="fa" [ngClass]="[upload_progress ? 'fa-spinner fa-spin' : 'fa-upload']"></span>
            {{ upload_progress ? 'Uploading' : 'Upload from excel'}}
          </button>

        </div>
        <input #fileInput class="d-none" type="file" (change)="fileChangeEvent($event)" accept=".xlsx" />
      </div>
    </div>

    <div class="col-12 col-lg-12 p-0">

      <ngx-datatable #tblQuestions class="material mb-4 table table-striped" [rows]="questions" [loadingIndicator]="loading" [columnMode]="'force'"
        [headerHeight]="45" [footerHeight]="40" [rowHeight]="'auto'" [limit]="10">

        <ngx-datatable-column [width]="200" prop="question" name="Question">
          <ng-template let-row="row" ngx-datatable-cell-template>
            {{ row.question | truncate:50 }}
          </ng-template>
        </ngx-datatable-column>

        <ngx-datatable-column [width]="100" prop="points" name="Points"></ngx-datatable-column>

        <ngx-datatable-column name="Action" [headerClass]="'text-center'" [cellClass]="'text-center'">
          <ng-template let-row="row" ngx-datatable-cell-template>
            <button [routerLink]="['edit', row.id]" type="button" class="btn btn-link mr-2">
              <span title="Edit this room" class="fa fa-edit"></span>
            </button>
            <button type="button" class="ml-auto btn btn-link btn-sm text-white mr-2" (click)="setObj(row)" placement="left" [ngbPopover]="popDeleteContent"
              [popoverTitle]="popDeleteTitle" container="body" #deletePop="ngbPopover">
              <span class="fa fa-trash text-red"></span>
            </button>
          </ng-template>
        </ngx-datatable-column>

      </ngx-datatable>
    </div>

  </div>
</div>

<ng-template #popDeleteTitle>
  <small>
    <b>
      Confirm delete
    </b>
  </small>
</ng-template>

<ng-template #popDeleteContent>

  <p>Are you sure you want to delete this question?</p>
  <div class="d-flex my-2">
    <div class="ml-auto">

      <button (click)="delete()" type="button" class="btn btn-link px-2" data-toggle="tooltip" data-placement="bottom" title="Yes">
        <span class="fa fa-check text-green"></span>
      </button>
    </div>

  </div>
</ng-template>